<?php
 
 
 

namespace PhpWA\Protocol\Proto\ClientPayload;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class DNSSource extends \Google\Protobuf\Internal\Message
{
    


    protected $dnsMethod = null;
    


    protected $appCached = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getDnsMethod()
    {
        return isset($this->dnsMethod) ? $this->dnsMethod : 0;
    }

    public function hasDnsMethod()
    {
        return isset($this->dnsMethod);
    }

    public function clearDnsMethod()
    {
        unset($this->dnsMethod);
    }

    




    public function setDnsMethod($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\ClientPayload\DNSSource\DNSResolutionMethod::class);
        $this->dnsMethod = $var;

        return $this;
    }

    



    public function getAppCached()
    {
        return isset($this->appCached) ? $this->appCached : false;
    }

    public function hasAppCached()
    {
        return isset($this->appCached);
    }

    public function clearAppCached()
    {
        unset($this->appCached);
    }

    




    public function setAppCached($var)
    {
        GPBUtil::checkBool($var);
        $this->appCached = $var;

        return $this;
    }

}

